org.keycloak.subsystem.extension.authserver

## Class AuthServerWriteAttributeHandler

- java.lang.Object
- - org.jboss.as.controller.AbstractWriteAttributeHandler<Void>
  - - org.jboss.as.controller.ModelOnlyWriteAttributeHandler
    - - org.keycloak.subsystem.extension.authserver.AuthServerWriteAttributeHandler

- All Implemented Interfaces:
    org.jboss.as.controller.OperationStepHandler

      public class AuthServerWriteAttributeHandler
      extends org.jboss.as.controller.ModelOnlyWriteAttributeHandler

  Update an attribute on an Auth Server.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2014 Red Hat Inc.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.as.controller.AbstractWriteAttributeHandler

      `org.jboss.as.controller.AbstractWriteAttributeHandler.HandbackHolder<T>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthServerWriteAttributeHandler(org.jboss.as.controller.AttributeDefinition... definitions)`
    `AuthServerWriteAttributeHandler(List<org.jboss.as.controller.SimpleAttributeDefinition> definitions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `finishModelStage(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode operation, String attributeName, org.jboss.dmr.ModelNode newValue, org.jboss.dmr.ModelNode oldValue, org.jboss.as.controller.registry.Resource model)`

    - ### Methods inherited from class org.jboss.as.controller.ModelOnlyWriteAttributeHandler

      `applyUpdateToRuntime, requiresRuntime, revertUpdateToRuntime`

    - ### Methods inherited from class org.jboss.as.controller.AbstractWriteAttributeHandler

      `execute, getAttributeDefinition, validateResolvedValue, validateUnresolvedValue, validateUpdatedModel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthServerWriteAttributeHandler

          public AuthServerWriteAttributeHandler(List<org.jboss.as.controller.SimpleAttributeDefinition> definitions)

    - #### AuthServerWriteAttributeHandler

          public AuthServerWriteAttributeHandler(org.jboss.as.controller.AttributeDefinition... definitions)

  - ### Method Detail

    - #### finishModelStage

          protected void finishModelStage(org.jboss.as.controller.OperationContext context,
                              org.jboss.dmr.ModelNode operation,
                              String attributeName,
                              org.jboss.dmr.ModelNode newValue,
                              org.jboss.dmr.ModelNode oldValue,
                              org.jboss.as.controller.registry.Resource model)
                                   throws org.jboss.as.controller.OperationFailedException

      Overrides:
        `finishModelStage` in class `org.jboss.as.controller.AbstractWriteAttributeHandler<Void>`
      Throws:
        `org.jboss.as.controller.OperationFailedException`

Copyright © 2015. All rights reserved.